MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023984Open CASCADE[OCCT] OCCT:Visualizationpublic2013-05-22 17:392014-11-11 13:01
Reportersan 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.8.0Fixed in Version[OCCT] 6.8.0 
Summary0023984: Incorrect visualization of wires in wireframe mode
DescriptionWires from the attached shape are displayed incorrectly in the 3D view in wireframe mode (see bad_wires_in_3D.png).
However, if selected, they look better, even if the selected representation is coarser (bad_wires_selected.png). The same result appears after switching to shading (bad_wires_shaded.png).
And in AXO view the wires look correct (see bad_wires_in_axo.png).
TagsNo tags attached.
Test case numberbugs vis bug23984
Attached Files? file icon bug.brep (1,722,351 bytes) 2013-05-22 17:39
png file icon bad_wires_in_3D.png (44,260 bytes) 2013-05-22 17:39
png file icon bad_wires_selected.png (46,552 bytes) 2013-05-22 17:39
png file icon bad_wires_in_axo.png (66,679 bytes) 2013-05-22 17:39
png file icon bad_wires_shaded.png (42,291 bytes) 2013-05-22 17:41

- Relationships
related to 0022618assignedsan Open CASCADE Tool for building generic wireframe representation of a face 

-  Notes
(0027695)
bugmaster (administrator)
2014-01-29 17:26

Fix is reproduced
Test case is requared
(0027884)
apn (administrator)
2014-02-13 13:15

Test case was bugs/vis/bug23984 added to master.
(0033319)
kgv (developer)
2014-10-20 12:22

Dear bugmaster,

please close the issue - it can not be reproduced anymore since #0025071 integration (see screenshots for appropriate test case on last IR).
(0033320)
bugmaster (administrator)
2014-10-20 12:35

Corrected by fix for bug23984

- Issue History
Date Modified Username Field Change
2013-05-22 17:39 san New Issue
2013-05-22 17:39 san Assigned To => san
2013-05-22 17:39 san File Added: bug.brep
2013-05-22 17:39 san File Added: bad_wires_in_3D.png
2013-05-22 17:39 san File Added: bad_wires_selected.png
2013-05-22 17:39 san File Added: bad_wires_in_axo.png
2013-05-22 17:41 san File Added: bad_wires_shaded.png
2013-05-22 17:42 san Summary Incorrect visualization of wires => Incorrect visualization of wires in wireframe mode
2013-05-22 17:42 san Description Updated View Revisions
2014-01-29 17:26 bugmaster Note Added: 0027695
2014-01-29 17:26 bugmaster Assigned To san => apn
2014-01-29 17:26 bugmaster Status new => assigned
2014-02-13 13:15 apn Note Added: 0027884
2014-02-13 13:15 apn Test case number => bugs vis bug23984
2014-02-13 13:15 apn Assigned To apn => san
2014-02-17 16:26 kgv Relationship added related to 0022618
2014-10-20 12:21 kgv Relationship added related to 0025071
2014-10-20 12:22 kgv Note Added: 0033319
2014-10-20 12:22 kgv Assigned To san => bugmaster
2014-10-20 12:22 kgv Status assigned => feedback
2014-10-20 12:22 kgv Target Version => 6.8.0
2014-10-20 12:34 bugmaster Status feedback => tested
2014-10-20 12:35 bugmaster Note Added: 0033320
2014-10-20 12:35 bugmaster Status tested => verified
2014-10-20 12:35 bugmaster Resolution open => fixed
2014-11-11 12:44 aiv Fixed in Version => 6.8.0
2014-11-11 13:01 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker